##  for PCLinuxOS  ##

%define ver 1.5.14
%define rel 1

%define api   1.0
%define major 5
%define libname   %mklibname anthygobject %{api} %{major}
%define develname %mklibname -d anthygobject
%define girname   %mklibname anthy-gir 9000

%define ibus_ver  1.5.25
%define anthy_ver 9100h

Name:    ibus-anthy
Summary: The Anthy engine for IBus input platform
Summary(ja): IBus の為の Anthy エンジン
Version: %{ver}
Release: %{rel}.nora22
Group:   System/Internationalization
License: GPLv2+
URL:     https://github.com/ibus/ibus-anthy
Source0: https://github.com/ibus/ibus-anthy/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: ibus-devel >= %{ibus_ver}
BuildRequires: anthy-devel >= %{anthy_ver}
BuildRequires: python3-devel
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: gettext-devel
BuildRequires: glib2-devel
BuildRequires: python-gobject3-devel
BuildRequires: intltool

Requires: ibus >= %{ibus_ver}
Requires: anthy >= %{anthy_ver}
#Requires:  kasumi
Requires: python-gobject3

%description
The Anthy engine for iBus platform.
It provides Japanese input method from libanthy.

%description -l ja
IBus の為の Anthy エンジン。

# ------------------------------------------------------

%package -n %{libname}
Summary: Shared libs for anthygobject
Group:   System/Internationalization

%description -n %{libname}
Shared libs for anthygobject.

# ------------------------------------------------------

%package -n %{girname}
Summary: GObject Introspection interface description for anthy
Group:   System/Internationalization
Requires: %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for anthy.

# ------------------------------------------------------

%package -n %{develname}
Summary: Development files for ibus-anthy
Group:   System/Internationalization
Requires: %{libname} = %{version}-%{release}
Requires: %{girname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for ibus-anthy.

# ------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}


%build
%configure2_5x --disable-static --libexecdir=%{_libdir} --with-python=python3
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}


%files -f %{name}.lang
%{_libdir}/ibus-engine-anthy
%{_libdir}/ibus-setup-anthy
%{_datadir}/%{name}
%{_datadir}/applications/ibus-setup-anthy.desktop
%{_datadir}/ibus/component/anthy.xml
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.anthy.gschema.xml
%{_datadir}/metainfo/org.freedesktop.ibus.engine.anthy.metainfo.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*

%files -n %{libname}
%{_libdir}/libanthygobject-%{api}.so.%{major}
%{_libdir}/libanthygobject-%{api}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Anthy-9000.typelib

%files -n %{develname}
%{_libdir}/libanthygobject-%{api}.so
%{_includedir}/ibus-anthy-%{api}
%{_datadir}/gir-1.0/*.gir


%changelog
* Tue Mar 22 2022 tomcat <> 1.5.14-1
- 1.5.14
- use python3 instead of python2
- update %%files

* Tue Mar 20 2018 tomcat <> 1.5.10-1
- 1.5.10
- update %%files

* Sat Sep 16 2017 tomcat <> 1.5.9-3
- add '--libexecdir=%%{_libdir}' into %%configure2_5x
- use %%make_build instead of %%make

* Thu Oct 20 2016 tomcat <> 1.5.9-2
- fix url for getting Source0

* Thu Oct 20 2016 tomcat <> 1.5.9-1
- 1.5.9
- update %%files

* Wed Jan 20 2016 tomcat <> 1.5.8-1
- 1.5.8

* Fri Jul 17 2015 tomcat <> 1.5.7-1
- 1.5.7
- drop Patch100
- drop Patch101
- fix URL
- update %%files section

* Mon Jan 19 2015 tomcat <> 1.5.6-2
- add Patch100,101 from Fedora

* Tue Sep 16 2014 tomcat <> 1.5.6-1.nora14
- 1.5.6
- drop Patch100
- drop Source99

* Wed Apr 02 2014 tomcat <> 1.5.5-0.1.nora14
- 1.5.5
- build with ibus-1.5.6
- add Patch100 (ibus-anthy-HEAD.patch) from Fedora
- add Source99 (last-record2_default.utf8.sample)

* Sun Nov 10 2013 umeabot <vogtpet> 1.5.4-1pclos2013
- import ibus-anthy
